digiKam Developer Documentation: Digikam::ImportPreviewView Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Signals | Public Member Functions | Protected Member Functions | List of all members
Digikam::ImportPreviewView Class Reference
Inheritance diagram for Digikam::ImportPreviewView:

## Public Types
enum | Mode { IconViewPreview }

## Signals
void | signalAssignColorLabel (int)
void | signalAssignPickLabel (int)
void | signalAssignRating (int)
void | signalDeleteItem ()
void | signalEscapePreview ()
void | signalNextItem ()
void | signalPreviewLoaded (bool success)
void | signalPrevItem ()
Signals inherited from Digikam::GraphicsDImgView
void | activated ()
void | contentsMoved (bool panningFinished)
void | contentsMoving (int, int)
void | leftButtonClicked ()
void | leftButtonDoubleClicked ()
void | resized ()
void | rightButtonClicked ()
void | signalZoomFactorChanged ()
void | toNextImage ()
void | toPreviousImage ()
void | viewportRectChanged (const QRectF &viewportRect)

## Public Member Functions
| ImportPreviewView (QWidget *const parent, Mode mode=IconViewPreview)
CamItemInfo | getCamItemInfo () const
void | reload ()
void | setCamItemInfo (const CamItemInfo &info=CamItemInfo(), const CamItemInfo &previous=CamItemInfo(), const CamItemInfo &next=CamItemInfo())
void | setCamItemPath (const QString &path=QString())
void | setPreviousNextPaths (const QString &previous, const QString &next)
void | showContextMenu (const CamItemInfo &info, QGraphicsSceneContextMenuEvent *event)
Public Member Functions inherited from Digikam::GraphicsDImgView
| GraphicsDImgView (QWidget *const parent=nullptr)
int | contentsX () const
int | contentsY () const
void | drawText (QPainter *p, const QRectF &rect, const QString &text)
void | fitToWindow ()
bool | isMagnifierVisible () const
GraphicsDImgItem * | item () const
| Return the instance of item set by setItem().
SinglePhotoPreviewLayout * | layout () const
int | magnifierSize () const
qreal | magnifierZoomFactor () const
DImgPreviewItem * | previewItem () const
void | scrollPointOnPoint (const QPointF &scenePos, const QPoint &viewportPos)
| Scrolls the view such that scenePos (in scene coordinates is displayed on the viewport at viewportPos (in viewport coordinates).
void | setContentsPos (int x, int y)
void | setItem (GraphicsDImgItem *const item)
| Store internal instance of item as GraphicsDImgItem.
void | setMagnifierSize (int size)
void | setMagnifierVisible (bool b)
void | setMagnifierZoomFactor (qreal factor)
void | toggleFullScreen (bool set)
QRect | visibleArea () const

## Protected Member Functions
bool | acceptsMouseClick (QMouseEvent *e) override
void | enterEvent (QEnterEvent *) override
void | leaveEvent (QEvent *e) override
void | showEvent (QShowEvent *e) override
Protected Member Functions inherited from Digikam::GraphicsDImgView
void | continuePanning (const QPoint &pos)
void | drawForeground (QPainter *painter, const QRectF &rect) override
virtual bool | event (QEvent *) override
void | finishPanning ()
PanIconWidget * | installPanIcon ()
virtual void | mouseDoubleClickEvent (QMouseEvent *) override
virtual void | mouseMoveEvent (QMouseEvent *) override
virtual void | mousePressEvent (QMouseEvent *) override
virtual void | mouseReleaseEvent (QMouseEvent *) override
virtual void | resizeEvent (QResizeEvent *) override
virtual void | scrollContentsBy (int dx, int dy) override
void | setScaleFitToWindow (bool value)
void | setShowText (bool value)
void | startPanning (const QPoint &pos)
void | updatePanIconWidget ()
virtual bool | viewportEvent (QEvent *) override
virtual void | wheelEvent (QWheelEvent *) override

## Additional Inherited Members
Protected Slots inherited from Digikam::GraphicsDImgView
void | slotContentsMoved ()
virtual void | slotPanIconSelectionMoved (const QRect &, bool)
void | slotRefreshPanIconSelection ()
void | slotZoomFactorChanged ()

## Member Function Documentation

## ◆ acceptsMouseClick()

bool Digikam::ImportPreviewView::acceptsMouseClick | ( | QMouseEvent * | e | ) |
| overrideprotectedvirtual

Reimplemented from Digikam::GraphicsDImgView.